[arvados] updated: 2.1.0-2634-g7af7d3456
git repository hosting
git at public.arvados.org
Mon Jun 27 16:58:32 UTC 2022
Summary of changes:
tools/salt-install/installer.sh | 19 ++++++++++---------
1 file changed, 10 insertions(+), 9 deletions(-)
via 7af7d3456b4b95c7604e3ccf3a33a8468ed86f63 (commit)
from cfd2d10fdc7caff68cb799a3d64cf3b74b07a815 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 7af7d3456b4b95c7604e3ccf3a33a8468ed86f63
Author: Peter Amstutz <peter.amstutz at curii.com>
Date: Mon Jun 27 12:58:08 2022 -0400
18870: Change deploy target directory name
Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <peter.amstutz at curii.com>
diff --git a/tools/salt-install/installer.sh b/tools/salt-install/installer.sh
index 534ee629c..1db9ce7bd 100755
--- a/tools/salt-install/installer.sh
+++ b/tools/salt-install/installer.sh
@@ -10,18 +10,18 @@ declare -A NODES
sync() {
if test "$NODE" != localhost ; then
- if ! ssh $NODE test -d arvados-setup ; then
- ssh $NODE git init --bare arvados-setup.git
- if ! git remote add $NODE $DEPLOY_USER@$NODE:arvados-setup.git ; then
- git remote set-url $NODE $DEPLOY_USER@$NODE:arvados-setup.git
+ if ! ssh $NODE test -d ${TARGET}.git ; then
+ ssh $NODE git init --bare ${GITTARGET}.git
+ if ! git remote add $NODE $DEPLOY_USER@$NODE:${GITTARGET}.git ; then
+ git remote set-url $NODE $DEPLOY_USER@$NODE:${GITTARGET}.git
fi
git push $NODE $BRANCH
- ssh $NODE git clone arvados-setup.git arvados-setup
+ ssh $NODE git clone ${GITTARGET}.git ${GITTARGET}
fi
git push $NODE $BRANCH
- ssh $NODE git -C arvados-setup checkout $BRANCH
- ssh $NODE git -C arvados-setup pull
+ ssh $NODE git -C ${GITTARGET} checkout $BRANCH
+ ssh $NODE git -C ${GITTARGET} pull
fi
}
@@ -34,16 +34,17 @@ deploynode() {
if test $NODE = localhost ; then
sudo ./provision.sh --config local.params --roles ${NODES[$NODE]}
else
- ssh $DEPLOY_USER@$NODE "cd arvados-setup && sudo ./provision.sh --config local.params --roles ${NODES[$NODE]}"
+ ssh $DEPLOY_USER@$NODE "cd ${GITTARGET} && sudo ./provision.sh --config local.params --roles ${NODES[$NODE]}"
fi
}
loadconfig() {
CONFIG_FILE=local.params
if ! test -s $CONFIG_FILE ; then
- echo "Must be run from arvados-setup, maybe you need to 'initialize' first?"
+ echo "Must be run from initialized setup dir, maybe you need to 'initialize' first?"
fi
source ${CONFIG_FILE}
+ GITTARGET=arvados-deploy-config-${CLUSTER}
}
subcmd="$1"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list